Kerbal Space Program - Bug #23266

NullReferenceException after deselecting maneuver node
07/27/2019 10:48 PM - scytherswings

Status: Need More Info Start date: 07/27/2019
Severity: Low % Done: 0%
Assignee: victorr
Category: Controls and Ul
Target version:
Version: 1.7.3 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Scenario: Craft coming into SOI of minmus with target set on station in orbit of minmmus. A plane change maneuver is needed so |
used the maneuver node system to get the plane to 0 degrees (still no stable orbit of craft). After completing this ~13.3m/s plane
change maneuver successfully, | proceeded to use the maneuver nodes to set up an orbit where the second intersection with the
space station would be at ~1km. Once this maneuver node was successfully planned, | clicked on "align retrograde” in the SAS
menu in preparation for the upcoming maneuver and 1-2 seconds later the game crashes.

| see in the logs there are many NREs like so:
NullReferenceException: Object reference not set to an instance of an object

at ManeuverNodeEditorTabIntercept.UpdateUIElements () [0x00000] in <filename unknown>:0

at ManeuverNodeEditorTab.WrapperUpdateUIElements () [0x00000] in <filename unknown>:0

at ManeuverNodeEditorTab.Update () [0x00000] in <filename unknown>:0
No mods are installed.
I've reproduced this crash 3 times from this save file, it doesn't always happen immediately which is why | included screenshots of
my last attempt to reproduce it. In my last attempt | was able to make the circularization/intercept maneuver node and even time
warp to the node. After aligning the craft to retrograde with SAS it crashed a few seconds later. In the left hand corner of my screen |
could see the values fluctuating wildly in the handful of seconds before the crash.
The Player.log that | have attached as a single attachment is from my last successful reproduction of the crash, described above.

Thanks for a great game, | hope this is enough information for you to be able to reproduce this crash!

Cheers,
-Andrew

History

#1 - 07/27/2019 10:49 PM - scytherswings

- Subject changed from NullReferenceException after deselecting maneuver node while flying by minmus to NullReferenceException after deselecting
maneuver node

#2 - 10/31/2019 09:48 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

| have been attempting to recreate this crash on the latest 1.8.1 version without success. Could you please attempt yourself? We believe this issue
could be fixed with the recent updates.

Files

kspNRE.zip 3.02 MB 07/27/2019 scytherswings
screenshots.zip 1.1 MB 07/27/2019 scytherswings
Player.log 949 KB 07/27/2019 scytherswings
